import React from "react";
import { Fill } from "nano-slots";
import Dialog from "../../../ui/Dialog";
import CssFlex from "../../../ui/CssFlex";
import Skeleton from "../../../ui/Skeleton";

function LoadingContent() {
  return /*#__PURE__*/React.createElement(Fill, {
    name: "pmax-creation-step-finish"
  }, /*#__PURE__*/React.createElement(Dialog.Body, {
    display: "grid",
    placeItems: "center",
    gap: "md"
  }, /*#__PURE__*/React.createElement(Skeleton, {
    variant: "text",
    width: "100%",
    height: 36
  }), /*#__PURE__*/React.createElement(Skeleton, {
    variant: "rect",
    width: 200,
    height: 230
  }), /*#__PURE__*/React.createElement(CssFlex, {
    direction: "column",
    alignItems: "center",
    width: "100%"
  }, /*#__PURE__*/React.createElement(Skeleton, {
    variant: "text",
    width: "100%",
    height: 24
  }), /*#__PURE__*/React.createElement(Skeleton, {
    variant: "text",
    width: "100%",
    height: 24
  }), /*#__PURE__*/React.createElement(Skeleton, {
    variant: "text",
    width: "40%",
    height: 24
  })), /*#__PURE__*/React.createElement(CssFlex, {
    justifyContent: ["center", "flex-end"],
    mt: "md",
    px: "md",
    width: "100%"
  }, /*#__PURE__*/React.createElement(Skeleton, {
    variant: "rect",
    width: 100,
    height: 48
  }))));
}

export default LoadingContent;