/// <reference types="react" />
export type Event<Key extends string> = {
    key: Key;
};
export type Events = Event<"asset_manager_click_texts"> | Event<"asset_manager_texts_click_ai_gen"> | Event<"asset_manager_click_visuals"> | Event<"asset_manager_visuals_click_add_image"> | Event<"asset_manager_visuals_click_add_video"> | Event<"asset_manager_click_filters"> | Event<"asset_manager_filters_update_orientation"> | Event<"asset_manager_filters_update_source"> | Event<"asset_manager_filters_click_apply">;
export type EventTypes = Events["key"];
declare const EventsProvider: (props: {
    children: import("react").ReactNode;
    onTrack: (event: Events) => void;
}) => JSX.Element, useTrackEvent: () => (event: Events) => void;
export { EventsProvider, useTrackEvent };
