import React from "react";
import PlatformAccounts from "../../../ui/PlatformAccounts";
import { Channel } from "../types";
import { ChannelAccount } from "./types";
type SelectedAccountState = {
    value: string | null;
    childValue?: string;
};
type Props = {
    channel: Channel;
    accounts: Array<ChannelAccount>;
    email: string | undefined;
    selected: SelectedAccountState;
} & React.ComponentProps<typeof PlatformAccounts>;
declare function AccountSelector({ channel, selected, accounts, email, onLogin, ...restProps }: Props): JSX.Element;
export default AccountSelector;
