import React from "react";
import { Account, Channel } from "../types";
import { Translations } from "./types";
import AccountSelector from "./AccountSelector";
type Props = {
    translations: Translations;
    detectedAccounts?: Array<Account>;
    onSupport?: () => void;
    onConnectPixel: (channel: Channel) => void;
    onSubmit: (continueFn: () => void) => void;
    children: React.ReactNode;
    disabled?: boolean;
    isLoading?: boolean;
};
declare function StepConnect({ translations, detectedAccounts, children, onSupport, onConnectPixel, onSubmit, disabled, isLoading, }: Props): JSX.Element;
export { AccountSelector };
export default StepConnect;
