/// <reference types="react" />
import { Translations } from "./types";
type Props = {
    translations: Translations;
    billingCompleted: {
        google: boolean;
        microsoft: boolean;
    };
    metricsUrl: string;
    isLoading: boolean;
    onClose: () => void;
    onVerify: () => void;
    onSupport: () => void;
};
declare function StepFinish({ translations, billingCompleted, metricsUrl, isLoading, onClose, onVerify, onSupport, }: Props): JSX.Element;
export default StepFinish;
