/// <reference types="react" />
type ImageOptions = {
    src: string;
    size: `${number}x${number}`;
};
export type PMAXIntroCardsProps = {
    open: boolean;
    onClose?: () => void;
    onFinish: () => void;
    onSkip: () => void;
    images: {
        step_1: ImageOptions;
        step_2: ImageOptions;
        step_3: ImageOptions;
        step_4: ImageOptions;
    };
    translations: {
        step_1: {
            title: string;
            description: string;
        };
        step_2: {
            title: string;
            bullet_1: string;
            bullet_2: string;
            description: string;
        };
        step_3: {
            title: string;
            bullet_1: string;
            bullet_2: string;
            description: string;
        };
        step_4: {
            title: string;
            description: string;
        };
        next: string;
        finish: string;
        skip: string;
        prev: string;
    };
};
declare const PMAXIntroCards: ({ open, onClose, onFinish, onSkip, translations, images, }: PMAXIntroCardsProps) => JSX.Element;
export default PMAXIntroCards;
