import Dialog from "./Dialog";
import DialogTitle from "./DialogTitle";
import DialogBody from "./DialogBody";
import DialogHeader from "./DialogHeader";
import DialogFooter from "./DialogFooter";
import DialogFooterButton from "./DialogFooterButton";
import DialogCustomAction from "./DialogCustomAction";
import DialogExtendTopbar from "./DialogExtendTopbar";
type DialogCompound = {
    Body: typeof DialogBody;
    Footer: typeof DialogFooter;
    Title: typeof DialogTitle;
    Header: typeof DialogHeader;
    FooterButton: typeof DialogFooterButton;
    CustomAction: typeof DialogCustomAction;
    ExtendTopbar: typeof DialogExtendTopbar;
};
declare const _default: typeof Dialog & DialogCompound;
export default _default;
