/// <reference types="react" />
import { Channel, ChannelAccount } from "./types";
type AccountProps = Omit<ChannelAccount, "switchActive" | "isLinked" | "subAccount">;
interface Props {
    account: ChannelAccount;
    channel: Channel;
    onLink?: (params: AccountProps) => void;
    onAddSubAccount?: (params: AccountProps) => void;
    onSelect?: (params: AccountProps & {
        active: boolean;
    }) => void;
    texts: {
        connect: string;
        link: string;
        warningTooltip: string;
        addSubAccount: string;
    };
}
declare function Account({ account, channel, onLink, onAddSubAccount, onSelect, texts, }: Props): JSX.Element;
export default Account;
