export type Channel = "google" | "microsoft" | "tiktok" | "facebook" | "instagram" | "twitter" | "google_analytics" | "google_merchant";
export type ID = number | string;
export type ChannelAccount = {
    id: ID;
    accountId?: ID;
    name: string;
    channel?: Channel;
    isLinked: boolean;
    switchActive: boolean;
    subAccounts?: Array<ChannelSubAccount>;
};
export type ChannelSubAccount = Omit<ChannelAccount, "channel" | "isLinked" | "subAccounts">;
