import React from "react";
import { PolymorphicComponentPropsWithRef } from "./types";
type SxProps = {
    sx?: any;
};
type ComponentProps<C extends React.ElementType> = PolymorphicComponentPropsWithRef<C, SxProps>;
type ComponentComponent = <C extends React.ElementType>(props: ComponentProps<C>) => React.ReactElement | null;
declare function createComponent<C extends React.ElementType>(component: C): ComponentComponent;
export default createComponent;
