import _defineProperty from "@babel/runtime/helpers/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

import makeStyles from "../styles/makeStyles";

var styles = function styles(_ref) {
  var _ref$cleverUI = _ref.cleverUI,
      spacing = _ref$cleverUI.spacing,
      colors = _ref$cleverUI.colors;
  return {
    item: _objectSpread(_objectSpread({}, spacing["ml-1"]), spacing["mt-1"]),
    parent: _objectSpread(_objectSpread(_objectSpread({}, spacing["mt-1"]), spacing["mnl-1"]), {}, {
      display: "flex",
      alignItems: "center",
      border: "none",
      backgroundColor: "transparent",
      "& svg:hover": {
        backgroundColor: colors.primary[50],
        transition: "all 300ms ease-in"
      },
      "& p": _objectSpread(_objectSpread({}, spacing["ml-2"]), {}, {
        "&:hover": {
          backgroundColor: colors.primary[50],
          transition: "all 300ms ease-in"
        }
      })
    }),
    checkbox: {
      "& span:hover": {
        backgroundColor: colors.primary[50],
        transition: "all 100ms ease-in"
      }
    },
    children: _objectSpread(_objectSpread({}, spacing["m-1"]), spacing["ml-6"]),
    hide: {
      display: "none"
    }
  };
};

export default makeStyles(styles);