import React from "react";
export type DialogProps = {
    onClose?: () => void;
    open: boolean;
    children: React.ReactNode;
    className?: string;
    initialFocusRef?: React.RefObject<HTMLElement>;
    fullWidth?: boolean;
    debugName?: string;
    hideTopbar?: boolean;
    disableAutoMaxWidth?: boolean;
    globalWidth?: number | string;
};
declare function CleverDialog({ open, onClose, children, className, initialFocusRef, fullWidth, debugName, hideTopbar, globalWidth, }: DialogProps): JSX.Element;
export default CleverDialog;
