import _taggedTemplateLiteral from "@babel/runtime/helpers/taggedTemplateLiteral";

var _templateObject;

import React from "react";
import { Fill } from "nano-slots";
import { m } from "framer-motion";
import styled from "../styles/styled";
var DialogExtendTopbar = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var children = props.children,
      className = props.className;
  return /*#__PURE__*/React.createElement(Fill, {
    name: "dialog-extend-topbar"
  }, /*#__PURE__*/React.createElement(ExtendTopbarWrapper, {
    className: className,
    ref: ref
  }, children));
});
var ExtendTopbarWrapper = styled(m.div)(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  padding: ", ";\n  padding-top: 0px;\n"])), function (props) {
  return props.theme.spaces.xl;
});
export default DialogExtendTopbar;