import _taggedTemplateLiteral from "@babel/runtime/helpers/taggedTemplateLiteral";
import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";

var _templateObject, _templateObject2;

var _excluded = ["className"];
import React from "react";
import { m } from "framer-motion";
import styled from "../styles/styled";
var DialogFooter = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var className = props.className,
      restProps = _objectWithoutProperties(props, _excluded);

  return /*#__PURE__*/React.createElement(FooterWrapper, null, /*#__PURE__*/React.createElement(FooterContainer, _extends({
    className: className
  }, restProps)));
});
var FooterWrapper = styled(m.div)(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  position: sticky;\n  bottom: 0px;\n  margin-top: auto;\n"])));
var FooterContainer = styled.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  padding: 0px 16px;\n  margin-top: 16px;\n\n  display: flex;\n  gap: 16px;\n  justify-content: space-between;\n  border-radius: 8px;\n\n  background-color: hsla(0, 0%, 100%, 0.9);\n  backdrop-filter: blur(2px);\n  box-shadow: 0 2px 21px 0 hsla(0, 0%, 100%, 0.9);\n"])));
export default DialogFooter;