import _extends from "@babel/runtime/helpers/extends";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["id", "sx"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

import React from "react";
import Typography from "../Typography";
import createComponent from "../system/createComponent";
var DialogTitle = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var propId = props.id,
      sx = props.sx,
      typographyProps = _objectWithoutProperties(props, _excluded);

  return /*#__PURE__*/React.createElement(Typography, _extends({
    ref: ref,
    component: "h2",
    variant: "title2",
    shade: 800,
    gutterBottom: true,
    sx: _objectSpread({
      display: "inline-flex",
      gap: "8px",
      alignItems: "center"
    }, sx)
  }, typographyProps));
});
export default createComponent(DialogTitle);