import _slicedToArray from "@babel/runtime/helpers/slicedToArray";
import React from "react";
import Dialog from "..";
import IconButton from "../../next/IconButton";
import Settings from "../../Icon/Settings";
import MergePlus from "../../Icon/MergePlus";
import Refresh from "../../Icon/Refresh";
import Menu from "../../next/Menu";
import MenuItem from "../../next/Menu/MenuItem";
import Button from "../../next/Button";
export default {
  title: "Dialog",
  component: Dialog
};
var text = "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur? At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere";

var SimpleDialog = function SimpleDialog() {
  var _React$useState = React.useState(false),
      _React$useState2 = _slicedToArray(_React$useState, 2),
      open = _React$useState2[0],
      setOpen = _React$useState2[1];

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      setOpen(true);
    }
  }, "Open dialog"), /*#__PURE__*/React.createElement(Dialog, {
    open: open,
    onClose: function onClose() {
      return setOpen(false);
    }
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, text)));
};

export var Simple = SimpleDialog.bind({});
Simple.args = {};

var NestedDialogs = function NestedDialogs() {
  var _React$useState3 = React.useState(false),
      _React$useState4 = _slicedToArray(_React$useState3, 2),
      open = _React$useState4[0],
      setOpen = _React$useState4[1];

  var _React$useState5 = React.useState(false),
      _React$useState6 = _slicedToArray(_React$useState5, 2),
      open2 = _React$useState6[0],
      setOpen2 = _React$useState6[1];

  var _React$useState7 = React.useState(false),
      _React$useState8 = _slicedToArray(_React$useState7, 2),
      open3 = _React$useState8[0],
      setOpen3 = _React$useState8[1];

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      setOpen(true);
    }
  }, "Open dialog"), /*#__PURE__*/React.createElement(Dialog, {
    open: open,
    onClose: function onClose() {
      return setOpen(false);
    }
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, text), /*#__PURE__*/React.createElement(Dialog.Footer, null, /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "terciary"
  }, "Cancel"), /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "primary",
    onClick: function onClick() {
      return setOpen2(true);
    }
  }, "Next"))), /*#__PURE__*/React.createElement(Dialog, {
    open: open2,
    onClose: function onClose() {
      return setOpen2(false);
    }
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, text), /*#__PURE__*/React.createElement(Dialog.Footer, null, /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "terciary"
  }, "Cancel"), /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "primary",
    onClick: function onClick() {
      return setOpen3(true);
    }
  }, "Next"))), /*#__PURE__*/React.createElement(Dialog, {
    open: open3,
    onClose: function onClose() {
      return setOpen3(false);
    }
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, text)));
};

export var Nested = NestedDialogs.bind({});
Nested.args = {};

var DialogCustomAction = function DialogCustomAction() {
  var _React$useState9 = React.useState(false),
      _React$useState10 = _slicedToArray(_React$useState9, 2),
      open = _React$useState10[0],
      setOpen = _React$useState10[1];

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      setOpen(true);
    }
  }, "Open dialog"), /*#__PURE__*/React.createElement(Dialog, {
    open: open,
    onClose: function onClose() {
      return setOpen(false);
    }
  }, /*#__PURE__*/React.createElement(Dialog.CustomAction, null, /*#__PURE__*/React.createElement(Menu, {
    trigger: /*#__PURE__*/React.createElement(IconButton, {
      icon: /*#__PURE__*/React.createElement(Settings, null)
    })
  }, /*#__PURE__*/React.createElement(MenuItem, null, "Create"), /*#__PURE__*/React.createElement(MenuItem, null, "Edit"), /*#__PURE__*/React.createElement(MenuItem, {
    color: "danger"
  }, "Delete"))), /*#__PURE__*/React.createElement(Dialog.Title, null, "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, text)));
};

export var DialogWithCustomAction = DialogCustomAction.bind({});
DialogWithCustomAction.args = {};

var DialogMultipleActions = function DialogMultipleActions() {
  var _React$useState11 = React.useState(false),
      _React$useState12 = _slicedToArray(_React$useState11, 2),
      open = _React$useState12[0],
      setOpen = _React$useState12[1];

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      setOpen(true);
    }
  }, "Open dialog"), /*#__PURE__*/React.createElement(Dialog, {
    open: open,
    onClose: function onClose() {
      return setOpen(false);
    }
  }, /*#__PURE__*/React.createElement(Dialog.CustomAction, null, /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Menu, {
    trigger: /*#__PURE__*/React.createElement(IconButton, {
      icon: /*#__PURE__*/React.createElement(Settings, null)
    })
  }, /*#__PURE__*/React.createElement(MenuItem, null, "Create"), /*#__PURE__*/React.createElement(MenuItem, null, "Edit"), /*#__PURE__*/React.createElement(MenuItem, {
    color: "danger"
  }, "Delete")), /*#__PURE__*/React.createElement(IconButton, {
    icon: /*#__PURE__*/React.createElement(MergePlus, null)
  }), /*#__PURE__*/React.createElement(IconButton, {
    icon: /*#__PURE__*/React.createElement(Refresh, null)
  }))), /*#__PURE__*/React.createElement(Dialog.Title, null, "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, text)));
};

export var DialogWithMultipleActions = DialogMultipleActions.bind({});
DialogWithMultipleActions.args = {};

var DialogFocus = function DialogFocus() {
  var _React$useState13 = React.useState(false),
      _React$useState14 = _slicedToArray(_React$useState13, 2),
      open = _React$useState14[0],
      setOpen = _React$useState14[1];

  var buttonRef = React.useRef();
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      setOpen(true);
    }
  }, "Open dialog"), /*#__PURE__*/React.createElement(Dialog, {
    open: open,
    onClose: function onClose() {
      return setOpen(false);
    },
    initialFocusRef: buttonRef
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, "When you open the dialog, the Button next should be focused instead of the close button"), /*#__PURE__*/React.createElement(Dialog.Footer, null, /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "terciary"
  }, "Cancel"), /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    ref: buttonRef,
    variant: "primary",
    onClick: function onClick() {
      return window.alert("Clicked next!");
    }
  }, "Next"))));
};

export var DialogWithButtonFocus = DialogFocus.bind({});
DialogWithButtonFocus.args = {};

var DialogUnclosable = function DialogUnclosable() {
  var _React$useState15 = React.useState(false),
      _React$useState16 = _slicedToArray(_React$useState15, 2),
      open = _React$useState16[0],
      setOpen = _React$useState16[1];

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      setOpen(true);
    }
  }, "Open dialog"), /*#__PURE__*/React.createElement(Dialog, {
    open: open
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, "You can't close the Dialog by clicking outside or by the X button, only by the cancel button in the Footer."), /*#__PURE__*/React.createElement(Dialog.Footer, null, /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "terciary",
    onClick: function onClick() {
      setOpen(false);
    }
  }, "Cancel"), /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "primary",
    onClick: function onClick() {
      return window.alert("Clicked next!");
    }
  }, "Next"))));
};

export var DialogWithCloseLocked = DialogUnclosable.bind({});

var DialogFullWidth = function DialogFullWidth() {
  var _React$useState17 = React.useState(false),
      _React$useState18 = _slicedToArray(_React$useState17, 2),
      open = _React$useState18[0],
      setOpen = _React$useState18[1];

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      setOpen(true);
    }
  }, "Open dialog"), /*#__PURE__*/React.createElement(Dialog, {
    open: open,
    onClose: function onClose() {
      return setOpen(false);
    },
    fullWidth: true
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, "This modal is not limited by the default maxWidth of the content. So this message should fill the entire dialog instead of wrapping."), /*#__PURE__*/React.createElement(Dialog.Footer, null, /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "terciary",
    onClick: function onClick() {
      setOpen(false);
    }
  }, "Cancel"), /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "primary",
    onClick: function onClick() {
      return window.alert("Clicked next!");
    }
  }, "Next"))));
};

export var DialogWithFullWidth = DialogFullWidth.bind({});

var DialogDoesNotGrowInMobile = function DialogDoesNotGrowInMobile() {
  var _React$useState19 = React.useState(false),
      _React$useState20 = _slicedToArray(_React$useState19, 2),
      open = _React$useState20[0],
      setOpen = _React$useState20[1];

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      setOpen(true);
    }
  }, "Open dialog"), /*#__PURE__*/React.createElement(Dialog, {
    open: open,
    onClose: function onClose() {
      return setOpen(false);
    }
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, /*#__PURE__*/React.createElement("div", null, "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.")), /*#__PURE__*/React.createElement(Dialog.Footer, null, /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "terciary",
    onClick: function onClick() {
      setOpen(false);
    }
  }, "Cancel"), /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "primary",
    onClick: function onClick() {
      return window.alert("Clicked next!");
    }
  }, "Next"))));
};

export var DialogNotGrowInMobile = DialogDoesNotGrowInMobile.bind({});

var DialogWithIcon = function DialogWithIcon() {
  var _React$useState21 = React.useState(false),
      _React$useState22 = _slicedToArray(_React$useState21, 2),
      open = _React$useState22[0],
      setOpen = _React$useState22[1];

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      setOpen(true);
    }
  }, "Open dialog"), /*#__PURE__*/React.createElement(Dialog, {
    open: open,
    onClose: function onClose() {
      return setOpen(false);
    }
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, /*#__PURE__*/React.createElement(Settings, null), "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, text)));
};

export var DialogTitleWithIcon = DialogWithIcon.bind({});

var DialogWithForceUnMount = function DialogWithForceUnMount() {
  var _React$useState23 = React.useState(false),
      _React$useState24 = _slicedToArray(_React$useState23, 2),
      open = _React$useState24[0],
      setOpen = _React$useState24[1];

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      setOpen(true);
    }
  }, "Open dialog"), open && /*#__PURE__*/React.createElement(Dialog, {
    open: open,
    onClose: function onClose() {
      return setOpen(false);
    }
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, /*#__PURE__*/React.createElement(Settings, null), "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, text)));
};

export var DialogForceUnmount = DialogWithForceUnMount.bind({});

var NestedDialogsWithForceUnmount = function NestedDialogsWithForceUnmount() {
  var _React$useState25 = React.useState(false),
      _React$useState26 = _slicedToArray(_React$useState25, 2),
      open = _React$useState26[0],
      setOpen = _React$useState26[1];

  var _React$useState27 = React.useState(false),
      _React$useState28 = _slicedToArray(_React$useState27, 2),
      open2 = _React$useState28[0],
      setOpen2 = _React$useState28[1];

  var _React$useState29 = React.useState(false),
      _React$useState30 = _slicedToArray(_React$useState29, 2),
      open3 = _React$useState30[0],
      setOpen3 = _React$useState30[1];

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      setOpen(true);
    }
  }, "Open dialog"), open && /*#__PURE__*/React.createElement(Dialog, {
    open: open,
    onClose: function onClose() {
      return setOpen(false);
    }
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, text), /*#__PURE__*/React.createElement(Dialog.Footer, null, /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "terciary"
  }, "Cancel"), /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "primary",
    onClick: function onClick() {
      return setOpen2(true);
    }
  }, "Next"))), open2 && /*#__PURE__*/React.createElement(Dialog, {
    open: open2,
    onClose: function onClose() {
      return setOpen2(false);
    }
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, text), /*#__PURE__*/React.createElement(Dialog.Footer, null, /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "terciary"
  }, "Cancel"), /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "primary",
    onClick: function onClick() {
      return setOpen3(true);
    }
  }, "Next"))), open3 && /*#__PURE__*/React.createElement(Dialog, {
    open: open3,
    onClose: function onClose() {
      return setOpen3(false);
    }
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, text)));
};

export var NestedWithForceUnMount = NestedDialogsWithForceUnmount.bind({});

var MultipleDialogsButForcedUnmounts = function MultipleDialogsButForcedUnmounts() {
  var _React$useState31 = React.useState(false),
      _React$useState32 = _slicedToArray(_React$useState31, 2),
      open = _React$useState32[0],
      setOpen = _React$useState32[1];

  var _React$useState33 = React.useState(false),
      _React$useState34 = _slicedToArray(_React$useState33, 2),
      open2 = _React$useState34[0],
      setOpen2 = _React$useState34[1];

  var _React$useState35 = React.useState(false),
      _React$useState36 = _slicedToArray(_React$useState35, 2),
      open3 = _React$useState36[0],
      setOpen3 = _React$useState36[1];

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      setOpen(true);
    }
  }, "Open dialog"), open && /*#__PURE__*/React.createElement(Dialog, {
    open: open,
    onClose: function onClose() {
      return setOpen(false);
    },
    debugName: "dialog1"
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, text), /*#__PURE__*/React.createElement(Dialog.Footer, null, /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "terciary"
  }, "Cancel"), /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "primary",
    onClick: function onClick() {
      setOpen2(true);
      setOpen(false);
    }
  }, "Next"))), open2 && /*#__PURE__*/React.createElement(Dialog, {
    open: open2,
    onClose: function onClose() {
      return setOpen2(false);
    },
    debugName: "dialog2"
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, text), /*#__PURE__*/React.createElement(Dialog.Footer, null, /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "terciary"
  }, "Cancel"), /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "primary",
    onClick: function onClick() {
      setOpen3(true);
      setOpen2(false);
    }
  }, "Next"))), open3 && /*#__PURE__*/React.createElement(Dialog, {
    open: open3,
    onClose: function onClose() {
      return setOpen3(false);
    },
    debugName: "dialog3"
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, text)));
};

export var MultipleDialogsForcedUnmount = MultipleDialogsButForcedUnmounts.bind({});

var MultipleDialogsTemplate = function MultipleDialogsTemplate() {
  var _React$useState37 = React.useState(false),
      _React$useState38 = _slicedToArray(_React$useState37, 2),
      open = _React$useState38[0],
      setOpen = _React$useState38[1];

  var _React$useState39 = React.useState(false),
      _React$useState40 = _slicedToArray(_React$useState39, 2),
      open2 = _React$useState40[0],
      setOpen2 = _React$useState40[1];

  var _React$useState41 = React.useState(false),
      _React$useState42 = _slicedToArray(_React$useState41, 2),
      open3 = _React$useState42[0],
      setOpen3 = _React$useState42[1];

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      setOpen(true);
    }
  }, "Open dialog"), /*#__PURE__*/React.createElement(Dialog, {
    open: open,
    onClose: function onClose() {
      return setOpen(false);
    },
    debugName: "dialog1"
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, text), /*#__PURE__*/React.createElement(Dialog.Footer, null, /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "terciary"
  }, "Cancel"), /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "primary",
    onClick: function onClick() {
      setOpen2(true);
      setOpen(false);
    }
  }, "Next"))), /*#__PURE__*/React.createElement(Dialog, {
    open: open2,
    onClose: function onClose() {
      return setOpen2(false);
    },
    debugName: "dialog2"
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, text), /*#__PURE__*/React.createElement(Dialog.Footer, null, /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "terciary"
  }, "Cancel"), /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "primary",
    onClick: function onClick() {
      setOpen3(true);
      setOpen2(false);
    }
  }, "Next"))), /*#__PURE__*/React.createElement(Dialog, {
    open: open3,
    onClose: function onClose() {
      return setOpen3(false);
    },
    debugName: "dialog3"
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, text)));
};

export var MultipleDialogs = MultipleDialogsTemplate.bind({});

var DialogWithTopbarHiddenTemplate = function DialogWithTopbarHiddenTemplate() {
  var _React$useState43 = React.useState(false),
      _React$useState44 = _slicedToArray(_React$useState43, 2),
      open = _React$useState44[0],
      setOpen = _React$useState44[1];

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      setOpen(true);
    }
  }, "Open dialog"), /*#__PURE__*/React.createElement(Dialog, {
    open: open,
    onClose: function onClose() {
      return setOpen(false);
    },
    hideTopbar: true
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, "Este es un nuevo modal activo"), /*#__PURE__*/React.createElement(Dialog.Body, null, text), /*#__PURE__*/React.createElement(Dialog.Footer, null, /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "terciary"
  }, "Cancel"), /*#__PURE__*/React.createElement(Dialog.FooterButton, null, "Continue"))));
};

export var DialogWithTopbarHidden = DialogWithTopbarHiddenTemplate.bind({});
DialogWithTopbarHidden.args = {};