import _defineProperty from "@babel/runtime/helpers/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

/* eslint-disable quotes */

/* eslint-disable max-len */
import makeStyles from "../styles/makeStyles";

var styles = function styles(_ref) {
  var _ref$cleverUI = _ref.cleverUI,
      colors = _ref$cleverUI.colors,
      spacing = _ref$cleverUI.spacing;
  return {
    root: {
      backgroundImage: "url(\"data:image/svg+xml,%3Csvg width='230' height='200' viewBox='0 0 100 73' xmlns='http://www.w3.org/2000/svg'%3E%3Cg fill='none'%3E%3Cpath d='M24.165 57.902c14.84 0 25.048-13.441 25.048-28.554C49.213 14.234 33.35 0 18.51 0S0 14.615 0 29.728C0 44.84 9.325 57.902 24.165 57.902Z' fill='%232ECC71'/%3E%3Cpath d='M55.554 72.774c7.664 0 10.785-10.071 10.785-17.847 0-7.775-6.214-14.078-13.878-14.078-7.665 0-13.988 11.527-13.988 19.303 0 7.776 9.416 12.622 17.08 12.622Z' fill='%23F1C40F'/%3E%3Cpath d='M82.839 49.943c7.012 0 16.964-8.335 16.964-15.454 0-7.118-9.621-12.082-16.634-12.082-7.012 0-12.697 5.77-12.697 12.89 0 7.118 5.354 14.646 12.367 14.646Z' fill='%233498DB'/%3E%3C/g%3E%3C/svg%3E\")",
      backgroundRepeat: "no-repeat",
      backgroundPositionX: 0,
      backgroundPositionY: 0,
      minWidth: 230,
      minHeight: 200,
      display: "flex",
      alignItems: "center"
    },
    card: {
      width: "250px",
      textAlign: "center",
      backgroundColor: "white",
      borderRadius: "8px",
      overflow: "overlay",
      marginLeft: "40px",
      boxShadow: "0 2px 21px rgba(0,0,0,.1)"
    },
    header: {
      display: "flex",
      height: "45px",
      backgroundColor: colors.neutral[900],
      alignItems: "center",
      justifyContent: "center"
    },
    content: _objectSpread(_objectSpread({}, spacing["py-3"]), {}, {
      height: "75%"
    })
  };
};

export default makeStyles(styles);