import _defineProperty from "@babel/runtime/helpers/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

import makeStyles from "../../styles/makeStyles";

var styles = function styles(_ref) {
  var _ref$cleverUI = _ref.cleverUI,
      spacing = _ref$cleverUI.spacing,
      spaces = _ref$cleverUI.spaces;
  return {
    root: {
      backgroundColor: "white",
      height: "100%",
      width: "100%",
      display: "grid",
      gridTemplateRows: "1fr auto"
    },
    withLogo: {
      gridTemplateRows: "min(200px, 30%) 1fr auto"
    },
    rootCollapsed: {
      width: "160px",
      "$footer": _objectSpread(_objectSpread(_objectSpread({}, spacing["pl-7"]), spacing["pb-5"]), spacing["pt-3"]),
      "$body": _objectSpread({}, spacing["pr-0"])
    },
    platformLogo: _objectSpread(_objectSpread(_objectSpread({}, spacing["my-auto"]), spacing["px-7"]), {}, {
      display: "flex",
      alignItems: "center"
    }),
    body: _objectSpread(_objectSpread({}, spacing["px-7"]), {}, {
      paddingLeft: spaces["2xl"],
      paddingRight: spaces.sm,
      overflowY: "auto",
      "&::-webkit-scrollbar": {
        width: "5px"
      },
      "&::-webkit-scrollbar-thumb": {
        backgroundColor: "#babac0",
        borderRadius: "16px",
        borderLeft: "1px solid #fff"
      }
    }),
    footer: _objectSpread(_objectSpread(_objectSpread({}, spacing["px-7"]), spacing["pb-5"]), spacing["pt-3"])
  };
};

export default makeStyles(styles);