import _defineProperty from "@babel/runtime/helpers/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

import makeStyles from "../../styles/makeStyles";

var styles = function styles(_ref) {
  var _ref$cleverUI = _ref.cleverUI,
      spacing = _ref$cleverUI.spacing,
      spaces = _ref$cleverUI.spaces;
  return {
    divider: _objectSpread(_objectSpread(_objectSpread({}, spacing["pb-3"]), spacing["px-4"]), spacing["mr-4"]),
    center: {
      width: "fit-content",
      textAlign: "center",
      display: "block"
    },
    marginActions: _objectSpread({}, spacing["ml-3"]),
    proBadge: {
      marginRight: "-48px",
      marginBottom: spaces.xl,
      display: "flex",
      justifyContent: "flex-end"
    }
  };
};

export default makeStyles(styles);