import React from "react";
import AccordionHeader from "./AccordionHeader";
import AccordionContent from "./AccordionContent";
export type AccordionProps = {
    propTypes?: any;
    expanded: boolean;
    onChange: () => void;
    children: JSX.Element;
    className?: string;
    variant?: string;
};
type AccordionComponent = React.ForwardRefExoticComponent<AccordionProps> & {
    propTypes?: any;
    contextTypes?: any;
    displayName?: string;
    variant?: string;
    Header?: typeof AccordionHeader;
    Content?: typeof AccordionContent;
    sx?: any;
};
declare const _default: AccordionComponent;
export default _default;
