import makeStyles from "../../ui/styles/makeStyles";
var getClasses = makeStyles(function (_ref) {
  var colors = _ref.cleverUI.colors;
  return {
    filterApplied: {
      color: "#364153",
      outline: 0,
      minWidth: 0,
      padding: "10px 12px 10px 12px",
      boxSizing: "border-box",
      borderWidth: "var(--cle-textfield-border-size)",
      borderRadius: "8px",
      cursor: "pointer",
      backgroundColor: colors.blue[50]
    },
    noFilterApplied: {
      color: "#364153",
      outline: 0,
      minWidth: 0,
      padding: "8px 10px 8px 10px",
      boxSizing: "border-box",
      borderColor: "#cdd5e0",
      borderStyle: "solid",
      borderWidth: "var(--cle-textfield-border-size)",
      borderRadius: "8px",
      backgroundColor: "#ffffff",
      cursor: "pointer"
    },
    moreButton: {
      height: "24px",
      width: "24px"
    },
    filterChips: {
      flexWrap: "wrap"
    },
    filters: {
      padding: "32px"
    },
    divider: {
      width: "95%",
      margin: "24px"
    }
  };
});
export default getClasses;