import _taggedTemplateLiteral from "@babel/runtime/helpers/taggedTemplateLiteral";

var _templateObject;

import React from "react";
import Typography from "../../ui/Typography";
import Dialog from "../../ui/Dialog";
import Warning from "./assets/Warning";
import CssFlex from "../../ui/CssFlex";
import styled from "../../ui/styles/styled";

function PMAXDeleteModal(_ref) {
  var open = _ref.open,
      translations = _ref.translations,
      onClose = _ref.onClose,
      onContinue = _ref.onContinue;
  return /*#__PURE__*/React.createElement(Dialog, {
    open: open,
    onClose: onClose
  }, /*#__PURE__*/React.createElement(Dialog.Title, null, translations.title), /*#__PURE__*/React.createElement(Dialog.Body, null, /*#__PURE__*/React.createElement(CssFlex, {
    gap: "md",
    direction: "column"
  }, /*#__PURE__*/React.createElement(Typography, {
    variant: "paragraph"
  }, translations.description), /*#__PURE__*/React.createElement(StyledWarning, null))), /*#__PURE__*/React.createElement(Dialog.Footer, null, /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "terciary",
    onClick: onClose
  }, translations.cancel), /*#__PURE__*/React.createElement(Dialog.FooterButton, {
    variant: "primary",
    color: "danger",
    onClick: onContinue
  }, translations["continue"])));
}

var StyledWarning = styled(Warning)(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  max-width: 120px;\n  width: 100%;\n  height: auto;\n  margin-inline: auto;\n"])));
export default PMAXDeleteModal;