/// <reference types="react" />
import { Translations, PmaxContent, Asset } from "./types";
type Props = {
    translations: Translations;
    pmaxCampaigns: Array<PmaxContent>;
    assetsManager: Array<Asset>;
    autoCampaign: PmaxContent;
    isLoading: boolean;
    isLoadingAI: Array;
    onSelectAssets?: () => void;
    onSelectAssetsFromAI: () => void;
    onUpdateAsset?: () => void;
    onUpdateAssetSection: () => void;
    onGetAssetsFromPmaxCampaign: () => void;
    onGetPreviousState: () => void;
    onSubmit: (continueFn: () => void) => void;
};
declare const StepAssets: (props: Props) => JSX.Element;
export default StepAssets;
