/// <reference types="react" />
import { Translations } from "../types";
type Props = {
    translations: Pick<Translations, "no_billing">;
    googleIssue: boolean;
    microsoftIssue: boolean;
    resetState: () => void;
    onSupport: () => void;
};
declare function BillingError({ translations, googleIssue, microsoftIssue, resetState, onSupport, }: Props): JSX.Element;
export default BillingError;
