/// <reference types="react" />
import { Account } from "../types";
import { GoalData } from "../StepGoal/types";
import { PmaxContent } from "../StepAssets/types";
import { Translations } from "./types";
type Props = {
    translations: Translations;
    accounts: Array<Account>;
    goalInfo: GoalData;
    assetsInfo: PmaxContent;
    onSubmit: (continueFn: () => void) => void;
};
declare function StepSummary({ translations, accounts, goalInfo, assetsInfo, onSubmit, }: Props): JSX.Element;
export default StepSummary;
