/// <reference types="react" />
export type PMAXCreationModalProps = {
    open: boolean;
    onClose: () => void;
    children: React.ReactNode;
    translations: PMAXTranslations;
};
export type PMAXTranslations = {
    title: string;
    progress_bar: {
        step_1: string;
        step_2: string;
        step_3: string;
        step_4: string;
    };
};
export type Channel = "google" | "microsoft" | "google_merchant";
export type ID = number | string;
export type Account = {
    accountId?: ID;
    name: string;
    channel: Channel;
};
