/// <reference types="react" />
export type Props = {
    open: boolean;
    isLoading: boolean;
    step: number | string;
    onDelete: () => void;
    onContinue: () => void;
    translations: {
        title: string;
        button: string;
        description: {
            1: string;
            2: string;
            3: string;
            4: string;
        };
        deleteModal: {
            title: string;
            description: string;
            cancel: string;
            continue: string;
        };
    };
};
declare const PMAXDraftNotification: ({ open, translations, step, onDelete, onContinue, isLoading, }: Props) => JSX.Element;
export default PMAXDraftNotification;
