/// <reference types="react" />
export type Event<Key extends string> = {
    key: Key;
};
export type Events = Event<"draft_click_delete"> | Event<"draft_click_continue">;
export type EventTypes = Events["key"];
declare const EventsProvider: (props: {
    children: import("react").ReactNode;
    onTrack: (event: Events) => void;
}) => JSX.Element, useTrackEvent: () => (event: Events) => void;
export { EventsProvider, useTrackEvent };
