import React from "react";
type PMAXPremiumPlansProps = {
    translations: {
        title: string;
        description: string;
        launch_offer: {
            title: string;
            description: string;
        };
        tabs: {
            monthly: {
                title: string;
                period: string;
            };
            yearly: {
                title: string;
                period: string;
            };
        };
        terms_and_conditions: string;
    };
    locale: "en" | "es";
    /**
     * Optional promotional discount percentage. Must be a value between 0 and 1.
     */
    discount?: number;
    defaultYearly?: boolean;
    FooterContent?: React.ReactNode;
    hideSwitchImg?: boolean;
    children: ({ yearly, discount, priceLabel }: {
        yearly: any;
        discount: any;
        priceLabel: any;
    }) => React.ReactNode | React.ReactNode;
};
export default PMAXPremiumPlansProps;
