/// <reference types="react" />
import { PremiumButtonProps } from "./PremiumButton";
import { PremiumPriceProps } from "./PremiumPrice";
export type PremiumCardProps = {
    className?: string;
    title: string;
    description?: string;
    price: PremiumPriceProps;
    variant: PremiumButtonProps["variant"];
    active: boolean;
    checks: Array<string>;
    buttonLabel: string;
    onClick: () => void;
    imgSrc?: string;
};
declare function PremiumCard(props: PremiumCardProps): JSX.Element;
export default PremiumCard;
