import React from "react";
declare const _default: {
    title: string;
    component: typeof import("../Dialog").default & {
        Body: <C extends React.ElementType<any>>(props: {
            children: React.ReactNode;
        } & {
            component?: C;
        } & Omit<JSX.LibraryManagedAttributes<C, React.PropsWithoutRef<React.ComponentProps<C>>>, "component" | "children"> & {
            ref?: import("../../system/types").PolymorphicRef<C>;
        }) => React.ReactElement<any, string | React.JSXElementConstructor<any>>;
        Footer: React.ForwardRefExoticComponent<{
            children: React.ReactNode;
            className?: string;
            sx?: any;
        } & React.RefAttributes<HTMLDivElement>>;
        Title: <C_1 extends React.ElementType<any>>(props: {
            sx?: any;
        } & {
            component?: C_1;
        } & Omit<JSX.LibraryManagedAttributes<C_1, React.PropsWithoutRef<React.ComponentProps<C_1>>>, "component" | "sx"> & {
            ref?: import("../../system/types").PolymorphicRef<C_1>;
        }) => React.ReactElement<any, string | React.JSXElementConstructor<any>>;
        Header: <C_2 extends React.ElementType<any>>(props: {
            children: React.ReactNode;
            extendTopbar?: boolean;
        } & {
            component?: C_2;
        } & Omit<JSX.LibraryManagedAttributes<C_2, React.PropsWithoutRef<React.ComponentProps<C_2>>>, "component" | keyof {
            children: React.ReactNode;
            extendTopbar?: boolean;
        }> & {
            ref?: import("../../system/types").PolymorphicRef<C_2>;
        }) => React.ReactElement<any, string | React.JSXElementConstructor<any>>;
        FooterButton: React.ForwardRefExoticComponent<Pick<any, string | number | symbol> & React.RefAttributes<HTMLButtonElement>>;
        CustomAction: React.ForwardRefExoticComponent<{
            children: React.ReactNode;
            sx?: any;
        } & React.RefAttributes<HTMLDivElement>>;
        ExtendTopbar: React.ForwardRefExoticComponent<{
            children: React.ReactNode;
            className?: string;
        } & React.RefAttributes<HTMLDivElement>>;
    };
};
export default _default;
export declare const Simple: any;
export declare const Nested: any;
export declare const DialogWithCustomAction: any;
export declare const DialogWithMultipleActions: any;
export declare const DialogWithButtonFocus: any;
export declare const DialogWithCloseLocked: any;
export declare const DialogWithFullWidth: any;
export declare const DialogNotGrowInMobile: any;
export declare const DialogTitleWithIcon: any;
export declare const DialogForceUnmount: any;
export declare const NestedWithForceUnMount: any;
export declare const MultipleDialogsForcedUnmount: any;
export declare const MultipleDialogs: any;
export declare const DialogWithTopbarHidden: any;
