import _defineProperty from "@babel/runtime/helpers/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

import makeStyles from "../styles/makeStyles";

var styles = function styles(_ref) {
  var _ref$cleverUI = _ref.cleverUI,
      colors = _ref$cleverUI.colors,
      spacing = _ref$cleverUI.spacing,
      borderRadius = _ref$cleverUI.borderRadius,
      spaces = _ref$cleverUI.spaces;
  return {
    root: function root(_ref2) {
      var color = _ref2.color;
      return _objectSpread(_objectSpread({
        boxSizing: "border-box",
        borderRadius: borderRadius.full,
        backgroundColor: colors[color][50],
        color: colors[color][500],
        width: "fit-content"
      }, spaces.apply("px-sm")), spaces.apply("py-xs"));
    },
    extraSmall: {
      paddingTop: 1,
      paddingBottom: 1
    },
    outlined: {
      boxShadow: "inset 0 0 0 1px currentColor"
    },
    loading: _objectSpread(_objectSpread({}, spacing["m-0"]), {}, {
      marginBottom: "-2px",
      width: "15px !important",
      height: "fit-content !important",
      maxHeight: "15px"
    })
  };
};

export default makeStyles(styles);