import _defineProperty from "@babel/runtime/helpers/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

import makeStyles from "../styles/makeStyles";
var googleBrand = "#4185f4";

var styles = function styles(_ref) {
  var _ref$cleverUI = _ref.cleverUI,
      _ref$cleverUI$colors = _ref$cleverUI.colors,
      primary = _ref$cleverUI$colors.primary,
      white = _ref$cleverUI$colors.white,
      typography = _ref$cleverUI.typography,
      spacing = _ref$cleverUI.spacing,
      shadows = _ref$cleverUI.shadows;
  return {
    root: {
      height: 48,
      fontSize: typography.fontSizeBase.constant + typography.fontSizeBase.unit,
      fontFamily: typography.font2,
      borderRadius: 8,
      boxShadow: "none",
      textTransform: "none",
      color: white[500],
      backgroundColor: googleBrand,
      fontWeight: "700",
      "&:hover": {
        backgroundColor: primary[700],
        boxShadow: shadows.hover
      },
      "&:focus": {
        backgroundColor: primary[700],
        boxShadow: shadows.hover
      }
    },
    logo: {
      height: 20,
      width: 20
    },
    logoContainer: _objectSpread(_objectSpread({}, spacing["p-2"]), {}, {
      backgroundColor: white[500],
      display: "inline-flex"
    }),
    label: _objectSpread({}, spacing["mx-6"])
  };
};

export default makeStyles(styles);