import React from "react";
import { PolymorphicComponentPropsWithRef } from "../system/types";
type Props = {
    children: React.ReactNode;
};
type DialogContentProps<C extends React.ElementType> = PolymorphicComponentPropsWithRef<C, Props>;
type DialogContentComponent = <C extends React.ElementType>(props: DialogContentProps<C>) => React.ReactElement | null;
declare const _default: DialogContentComponent;
export default _default;
