import _extends from "@babel/runtime/helpers/extends";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["extendTopbar"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

import React from "react";
import Box from "../Box";

function DialogHeader(props, ref) {
  var extendTopbar = props.extendTopbar,
      restProps = _objectWithoutProperties(props, _excluded);

  var newProps = restProps;

  if (extendTopbar) {
    newProps = _objectSpread(_objectSpread({}, restProps), {}, {
      backgroundColor: "neutral.100"
    });
  }

  return /*#__PURE__*/React.createElement(Box, _extends({
    ref: ref
  }, newProps));
}

export default /*#__PURE__*/React.forwardRef(DialogHeader);