/// <reference types="react" />
import { Channel } from "./types";
import { ChannelSubAccount, ID } from "./types";
type SubAccountProps = Omit<ChannelSubAccount, "switchActive">;
interface Props {
    parentId: ID;
    channel: Channel;
    subAccount: ChannelSubAccount;
    onLink?: (params: SubAccountProps) => void;
    onSelect?: (params: SubAccountProps & {
        active: boolean;
        parentId?: ID;
        channel: Channel;
    }) => void;
    texts: {
        connect: string;
        warningTooltip: string;
    };
}
declare function SubAccount({ subAccount, parentId, onLink, onSelect, channel, }: Props): JSX.Element;
export default SubAccount;
