import _defineProperty from "@babel/runtime/helpers/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

import makeStyles from "../../styles/makeStyles";
var getClasses = makeStyles(function (_ref) {
  var typography = _ref.cleverUI.typography;
  return {
    "@global": {
      ":root": {
        "--cle-input-adornment-space": "8px",
        "--cle-input-adornment-size": "24px"
      }
    },
    root: _objectSpread({
      position: "absolute",
      display: "flex",
      alignItems: "center",
      justifyContent: "center",
      width: "var(--cle-input-adornment-size)",
      overflow: "hidden",
      insetBlock: 0,
      color: "currentColor"
    }, typography.variants.small),
    end: {
      insetInlineEnd: "calc(var(--cle-textfield-border-size) + var(--cle-input-adornment-space))"
    },
    start: {
      insetInlineStart: "calc(var(--cle-textfield-border-size) + var(--cle-input-adornment-space))"
    },
    pointerEventNone: {
      pointerEvents: "none"
    }
  };
});
export default getClasses;