/// <reference types="react" />
declare const PlatformsConfig: {
    microsoft: {
        title: string;
        Icon: any;
        primaryColor: string;
    };
    google: {
        title: string;
        Icon: any;
        primaryColor: string;
    };
};
type Props = {
    platform: keyof typeof PlatformsConfig;
    price: number;
    currency?: string;
    description?: string;
};
declare function PromoCard({ platform, price, currency, description }: Props): JSX.Element;
export default PromoCard;
