import React from "react";
export type TooltipProps = {
    children: React.ReactNode;
    className?: string;
    title: string;
    position?: "top" | "bottom" | "left" | "right";
    align?: "center" | "start" | "end";
    delayDuration?: number;
    open?: boolean;
    arrow?: boolean;
    onClickOutside?: () => void;
    asChild?: boolean;
};
declare const _default: <C extends React.ElementType<any>>(props: {
    sx?: any;
} & {
    component?: C;
} & Omit<JSX.LibraryManagedAttributes<C, React.PropsWithoutRef<React.ComponentProps<C>>>, "component" | "sx"> & {
    ref?: import("../../system/types").PolymorphicRef<C>;
}) => React.ReactElement<any, string | React.JSXElementConstructor<any>>;
export default _default;
